/********************************************\
* 					     *
* File: FenceOps.h			     *
* Purpose: Definitions for fence operations  *
* Author: James Painter			     *
* Last Modified: November 27, 1985	     *
* 					     *
\********************************************/


extern int
HighLLCorner();      /*   HighLLCorner ( StartCol, G, R, C  );
                     **    GraphType *G;
                     **    int StartCol, R, C;
                     **    returns TRUE if at a high LL corner, else FALSE.
                     */

extern int
HighURCorner();      /*   HighURCorner ( StartCol, G, R, C );
                     **    GraphType *G;
                     **    int StartCol, R, C;
                     **    returns TRUE if at a high UR corner, else FALSE.
                     */
extern int
HighVerticalEdge(); /*   HighURCorner ( StartCol, G, R, C );
                     **    GraphType *G;
                     **    int StartCol, R, C;
                     **    returns TRUE if at a high vertical edge,
                     **    else FALSE.
                     */




extern int
LowLLCorner();      /*    LowLLCorner ( StartCol, G, R, C  );
                     **    GraphType *G;
                     **    int StartCol, R, C;
                     **    returns TRUE if at a low LL corner, else FALSE.
                     */

extern int
LowURCorner();      /*   LowURCorner ( StartCol, G, R, C );
                     **    GraphType *G;
                     **    int StartCol, R, C;
                     **    returns TRUE if at a low UR corner, else FALSE.
                     */
extern int
LowVerticalEdge(); /*   LowURCorner ( StartCol, G, R, C );
                     **    GraphType *G;
                     **    int StartCol, R, C;
                     **    returns TRUE if at a low vertical edge,
                     **    else FALSE.
                     */
extern void LabelPath();  /* LabelPath( FenceLabel, P, G );
                          **  int FenceLabel;
                          **  PathType *P;
                          **  GraphType *G;
                          **
                          **  Labels the path P in graph G with label Label.
                          */



